=== modified file 'bzrlib/tests/blackbox/test_dump_btree.py'
--- bzrlib/tests/blackbox/test_dump_btree.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/blackbox/test_dump_btree.py	2010-03-17 03:43:35 +0000
@@ -78,3 +78,16 @@
             'test2\0key3\0ref\0entry3\0value3\n'
             '\n',
             out)
+
+    def test_dump_btree_no_refs_smoke(self):
+        # A BTree index with no ref lists (such as *.cix) can be dumped without
+        # errors.
+        builder = btree_index.BTreeBuilder(
+            reference_lists=0, key_elements=2)
+        builder.add_node(('test', 'key1'), 'value')
+        out_f = builder.finish()
+        try:
+            self.build_tree_contents([('test.btree', out_f.read())])
+        finally:
+            out_f.close()
+        out, err = self.run_bzr('dump-btree test.btree')

